Update webhook subscriptions
curl --request PUT \
--url https://api.byblend.com/api/v1/notifications/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_codes": [
[
"order.shipped",
"order.delivered"
]
],
"url": "https://example.com/webhook"
}
'import requests
url = "https://api.byblend.com/api/v1/notifications/webhooks/{webhook_id}"
payload = {
"event_codes": [["order.shipped", "order.delivered"]],
"url": "https://example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_codes: [['order.shipped', 'order.delivered']],
url: 'https://example.com/webhook'
})
};
fetch('https://api.byblend.com/api/v1/notifications/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"created_at": "2023-11-07T05:31:56Z",
"is_active": true,
"type": "webhook",
"user_id": "0227d1e5-ba9a-42b5-8fe2-38882aa65708",
"subscriptions": [
{
"name": "Order Created",
"description": "Triggered when an order is created",
"event_code": "order.created"
}
]
}Notifications
Update webhook subscriptions
Update a webhook subscription.
PUT
/
api
/
v1
/
notifications
/
webhooks
/
{webhook_id}
Update webhook subscriptions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Webhook subscription updated successfully
Unique identifier
Example:
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Date and time the subscription was created
Whether the subscription is currently active
Example:
true
Type of subscription, one of 'webhook' or 'email' or 'sms'
Example:
"webhook"
ID of the user who created the subscription; for email or sms endpoints, this is the recipient.
Example:
"0227d1e5-ba9a-42b5-8fe2-38882aa65708"
Show child attributes
Show child attributes
⌘I